/****************************************************************************
**
** Copyright (C) 1992-2004 Trolltech AS. All rights reserved.
**
** This file is part of the gui module of the Qt Toolkit.
**
** Licensees holding valid Qt Preview licenses may use this file in
** accordance with the Qt Preview License Agreement provided with the
** Software.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
** information about Qt Commercial License Agreements.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef QWHATSTHIS_H
#define QWHATSTHIS_H

#include "qobject.h"
#include "qcursor.h"
#include "qaction.h"

#ifndef QT_NO_WHATSTHIS

#ifdef QT_COMPAT
class QToolButton;
#endif

class Q_GUI_EXPORT QWhatsThis
{
    QWhatsThis();
public:
    static void enterWhatsThisMode();
    static bool inWhatsThisMode();
    static void leaveWhatsThisMode();

    static void showText(const QPoint &pos, const QString& text, QWidget* w = 0);
    static void hideText();

    static void add(QWidget *w, const QString &s); // obsolete
    static void remove(QWidget *); // obsolete

#ifdef QT_COMPAT
    static QT_COMPAT QToolButton * whatsThisButton(QWidget * parent);
#endif
};

class QWhatsThisAction: public QAction
{
    Q_OBJECT

public:
    QWhatsThisAction();

public slots:
    void actionTriggered();
};

#endif // QT_NO_WHATSTHIS

#endif // QWHATSTHIS_H
